MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032109Open CASCADE[OCCT] OCCT:Application Frameworkpublic2021-02-02 13:592021-03-25 10:16
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusverifiedResolutionfixed 
PlatformALLOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032109: Application Framework: Test case bugs caf bug31546 works extremely unstable
DescriptionI keep getting the error in Jenkins on bugs caf bug31546 test case execution.
I have to restart this case. An some time it become OK after restarting several times.
I created script and launch it 10 times in cycle
FAILED - 4 OK -6
I attached log file

Error:
Checking trend: nb = 3, mean delta = 32.0, sigma = 0.0
Checking trend failed: mean delta per step = 32.0, sigma = 0.0, expected delta = 0

Tcl Exception: Memory leak
Steps To ReproduceNot applicable
TagsNo tags attached.
Test case numberNot required
Attached Files? file icon log (2,586 bytes) 2021-02-02 14:00

- Relationships
child of 0029133closedbugmaster Open CASCADE Unstable test cases 

-  Notes
(0098766)
git (administrator)
2021-02-08 15:15

Branch CR32109 has been created by mpv.

SHA-1: d1add867d1073c3cf66393937c2fac693110f018


Detailed log of new commits:

Author: mpv
Date: Mon Feb 8 15:16:57 2021 +0300

    0032109: Application Framework: Test case bugs caf bug31546 works extremely unstable
    
    In test it should be taken into account that
      lappend listmem [meminfo h]
      checktrend $listmem 0 0 "Memory leak"
    also gets memory (also about 100 bytes per iteration).
(0098785)
mpv (developer)
2021-02-09 13:46

Fixed. Test results:
http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR32109-master-MPV/view/COMPARE/ [^]

Test case bugs caf bug31546 is updated by taking into account memory occupied by listmem.
(0099360)
abv (manager)
2021-03-04 06:17

Reviewed, please integrate.

I wonder - do we actually use Tcl linked with DLL version of vc14 CRT so that the same heap is used by Tcl and OCCT??
(0099475)
bugmaster (administrator)
2021-03-06 12:16

Combination -
OCCT branch : IR-2021-03-05
master SHA - 58210e5983a7986bc4cd1bec9c0b5cb29828fda4
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-05 SHA - b3d022cfefe721ee2ad6db68ca360345d656610b
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17744.80000000016 / 17811.87000000015 [-0.38%]
Products
Total CPU difference: 11539.9800000001 / 11543.6500000001 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.640625 / 19344.390625 [-0.12%]
Products
Total CPU difference: 12868.796875 / 12900.578125 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099503)
git (administrator)
2021-03-06 13:25

Branch CR32109 has been deleted by inv.

SHA-1: d1add867d1073c3cf66393937c2fac693110f018

- Related Changesets
occt: master 6498be70
Timestamp: 2021-02-08 12:16:57
Author: mpv
Committer: bugmaster
Details ] Diff ]
0032109: Application Framework: Test case bugs caf bug31546 works extremely unstable

In test it should be taken into account that
  lappend listmem [meminfo h]
  checktrend $listmem 0 0 "Memory leak"
also gets memory (also about 100 bytes per iteration).
mod - tests/bugs/caf/bug31546 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-02 13:59 bugmaster New Issue
2021-02-02 13:59 bugmaster Assigned To => mpv
2021-02-02 14:00 bugmaster File Added: log
2021-02-02 14:02 bugmaster Status new => assigned
2021-02-02 14:03 bugmaster Summary Application Framework: Test case bugs caf bug31546 work extremely unstable => Application Framework: Test case bugs caf bug31546 works extremely unstable
2021-02-03 22:53 abv Relationship added related to 0031546
2021-02-08 15:15 git Note Added: 0098766
2021-02-09 13:46 mpv Note Added: 0098785
2021-02-09 13:46 mpv Assigned To mpv => abv
2021-02-09 13:46 mpv Status assigned => resolved
2021-02-09 13:46 mpv Steps to Reproduce Updated View Revisions
2021-03-04 06:17 abv Note Added: 0099360
2021-03-04 06:18 abv Assigned To abv => bugmaster
2021-03-04 06:18 abv Status resolved => reviewed
2021-03-06 12:16 bugmaster Note Added: 0099475
2021-03-06 12:16 bugmaster Status reviewed => tested
2021-03-06 12:22 bugmaster Test case number => Not required
2021-03-06 12:34 bugmaster Changeset attached => occt master 6498be70
2021-03-06 12:34 bugmaster Status tested => verified
2021-03-06 12:34 bugmaster Resolution open => fixed
2021-03-06 13:25 git Note Added: 0099503
2021-03-25 10:16 kgv Relationship added child of 0029133
2021-03-25 10:16 kgv Relationship added related to 0032246


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker